BEGIN TRANSACTION
SET QUOTED_IDENTIFIER ON
SET TRANSACTION ISOLATION LEVEL SERIALIZABLE
SET ARITHABORT ON
SET NUMERIC_ROUNDABORT OFF
SET CONCAT_NULL_YIELDS_NULL ON
SET ANSI_NULLS ON
SET ANSI_PADDING ON
SET ANSI_WARNINGS ON
COMMIT
BEGIN TRANSACTION
DROP INDEX dbo.O_PostHuman.IX_O_PostHuman
GO
DROP INDEX dbo.O_PostHuman.IX_O_PostHuman_1
GO
COMMIT

CREATE  CLUSTERED  INDEX [IX_O_PostHuman] ON [dbo].[O_PostHuman]([O_HMEN01_ID], [REGION_COD]) ON [PRIMARY]
GO

 CREATE  INDEX [IX_O_PostHuman_1] ON [dbo].[O_PostHuman]([DATEBEGIN], [DATEFINISH]) ON [PRIMARY]
GO

 CREATE  INDEX [IX_O_PostHuman_2] ON [dbo].[O_PostHuman]([O_SRT_ID], [REGION_COD]) ON [PRIMARY]
GO

/****** Индекс, создаваемый следующей инструкцией, предназначен только для внутреннего применения. ******/
/****** Он не является настоящим индексом, а создается только в статистических целях. ******/
if (@@microsoftversion > 0x07000000 )
EXEC ('CREATE STATISTICS [hind_1301579675_5A_2A_4A] ON [dbo].[O_PostHuman] ([O_SRT_ID], [REGION_COD], [O_HMEN01_ID]) ')
GO

/****** Индекс, создаваемый следующей инструкцией, предназначен только для внутреннего применения. ******/
/****** Он не является настоящим индексом, а создается только в статистических целях. ******/
if (@@microsoftversion > 0x07000000 )
EXEC ('CREATE STATISTICS [hind_1301579675_5A_2A_7A] ON [dbo].[O_PostHuman] ([O_SRT_ID], [REGION_COD], [DATEBEGIN]) ')
GO

/****** Индекс, создаваемый следующей инструкцией, предназначен только для внутреннего применения. ******/
/****** Он не является настоящим индексом, а создается только в статистических целях. ******/
if (@@microsoftversion > 0x07000000 )
EXEC ('CREATE STATISTICS [hind_1301579675_4A_2A_7A] ON [dbo].[O_PostHuman] ([O_HMEN01_ID], [REGION_COD], [DATEBEGIN]) ')
GO

/****** Индекс, создаваемый следующей инструкцией, предназначен только для внутреннего применения. ******/
/****** Он не является настоящим индексом, а создается только в статистических целях. ******/
if (@@microsoftversion > 0x07000000 )
EXEC ('CREATE STATISTICS [hind_1301579675_7A_8A_4A] ON [dbo].[O_PostHuman] ([DATEBEGIN], [DATEFINISH], [O_HMEN01_ID]) ')
GO

/****** Индекс, создаваемый следующей инструкцией, предназначен только для внутреннего применения. ******/
/****** Он не является настоящим индексом, а создается только в статистических целях. ******/
if (@@microsoftversion > 0x07000000 )
EXEC ('CREATE STATISTICS [hind_1301579675_4A_2A_5A] ON [dbo].[O_PostHuman] ([O_HMEN01_ID], [REGION_COD], [O_SRT_ID]) ')
GO

/****** Индекс, создаваемый следующей инструкцией, предназначен только для внутреннего применения. ******/
/****** Он не является настоящим индексом, а создается только в статистических целях. ******/
if (@@microsoftversion > 0x07000000 )
EXEC ('CREATE STATISTICS [hind_1301579675_7A_8A_5A] ON [dbo].[O_PostHuman] ([DATEBEGIN], [DATEFINISH], [O_SRT_ID]) ')
GO
BEGIN TRANSACTION
SET QUOTED_IDENTIFIER ON
SET TRANSACTION ISOLATION LEVEL SERIALIZABLE
SET ARITHABORT ON
SET NUMERIC_ROUNDABORT OFF
SET CONCAT_NULL_YIELDS_NULL ON
SET ANSI_NULLS ON
SET ANSI_PADDING ON
SET ANSI_WARNINGS ON
COMMIT
BEGIN TRANSACTION
ALTER TABLE dbo.O_PostHuman ADD
	WorkPlace  AS ([dbo].[GetOSRTParentName]([O_SRT_ID], [REGION_COD], 0))
GO
COMMIT
